## groovy.lang
Class Tuple

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              groovy.lang.Tuple

All Implemented Interfaces:
  Iterable, Collection, List

    public class Tuple

extends AbstractList

Represents a list of Integer objects from a specified int up to but not including a given and to.

Version:
  $Revision: 6778 $
Author:
  James Strachan

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`Tuple(Object[] contents)`

Method Summary
`boolean` `equals(Object that)`
`boolean` `equals(Tuple that)`
`Object` `get(int index)`
`int` `hashCode()`
`int` `size()`
`List` `subList(int fromIndex, int toIndex)`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### Tuple

    public Tuple(Object[] contents)

Method Detail

### get

    public Object get(int index)

  Specified by:
    `get` in interface `List`
  Specified by:
    `get` in class `AbstractList`

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `List`
  Specified by:
    `size` in class `AbstractCollection`

### equals

    public boolean equals(Object that)

  Specified by:
    `equals` in interface `Collection`
  Specified by:
    `equals` in interface `List`
  Overrides:
    `equals` in class `AbstractList`

### equals

    public boolean equals(Tuple that)

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Collection`
  Specified by:
    `hashCode` in interface `List`
  Overrides:
    `hashCode` in class `AbstractList`

### subList

    public List subList(int fromIndex,
                        int toIndex)

  Specified by:
    `subList` in interface `List`
  Overrides:
    `subList` in class `AbstractList`

Copyright © 2003-2008 The Codehaus. All rights reserved.